Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 5 sur 5
  1. #1
    Membre régulier
    Inscrit en
    juin 2008
    Messages
    128
    Détails du profil
    Informations forums :
    Inscription : juin 2008
    Messages : 128
    Points : 70
    Points
    70

    Par défaut Problème installation JDT sur Eclipse CDT

    Bonjour à tous,

    J'utilise Eclipse 3.7.2 en version CDT et je dois maintenant développer en Java ainsi qu'utiliser XText.

    Donc, j'ai voulu installer JDT et XText SDK, en passant par "Install New Software" pour installer les deux mais je ne peux pas accéder à la vue développement Java et donc créer un projet Java ou créer un projet XText.

    Dans Help > About Eclipse Platform > Installation Details > Installed Software, j'ai :
    - "Eclipse IDE for C/C++ Developers, 1.4.2.20120213-0813, epp.package.cpp null"
    - "Eclipse Java Development Tools, 3.7.2.v20120120-1414-7z8gFcuFMP7BW5XTz0jLTnz0l9B1, org.eclipse.jdt.feature.group Eclipse.org"
    - "Xtext SDK, 2.3.1.v201208210947, org.eclipse.xtext.sdk.feature.group Eclipse Modeling Project"
    Quelqu'un saurait-il m'indiquer comment résoudre ce problème ?

    Merci d'avance pour votre aide.

  2. #2
    Rédacteur/Modérateur
    Avatar de Laurent.B
    Homme Profil pro Laurent Barbareau
    Ingénieur développement logiciels
    Inscrit en
    novembre 2004
    Messages
    3 242
    Détails du profil
    Informations personnelles :
    Nom : Homme Laurent Barbareau
    Âge : 41
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : novembre 2004
    Messages : 3 242
    Points : 14 881
    Points
    14 881

    Par défaut

    Bonjour,

    A moins que tes projets C/C++ soient liés à ceux des projets Java/XText, je te recommande d'installer à part une version d'Eclipse dédiée à Java/Xtext, tu te simplifieras la vie.

    Sinon, théoriquement ça ne devrait pas poser de problème, donc je ne vois pas trop ce qu'il se passe. Par contre, comme a priori tu confonds Vue et Perspective, il faut que tu cherches la bonne perspective à ouvrir.

    Deux façons :

    • par le menu Window > Open Perspective > Other... > Java
    • par l'icône avec le petit + jaune, placé sur la barre de sélection des perspectives (en principe présente en haut à droite de la fenêtre Eclipse).
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Pensez à cliquer sur le bouton une fois votre problème solutionné, merci.

  3. #3
    Membre régulier
    Inscrit en
    juin 2008
    Messages
    128
    Détails du profil
    Informations forums :
    Inscription : juin 2008
    Messages : 128
    Points : 70
    Points
    70

    Par défaut

    Bonjour et merci de la réponse.

    je suis sous windows 7 en en utilisateur non-administrateur ; par conséquent les deux "plugins" installés (JDT et XText) l'ont été dans C:\users\monNom\.eclipse
    Je les ai coupés-collés vers C:\Programmes\Eclipse et cela ne fonctionnait toujours pas. J'ai ensuite supprimé ces deux plugins via eclipse (qui les avait installé dans C:\users\monNom\.eclipse et qui n'y étaient donc plus), cela n'a pas généré de message d'erreur et au redémarrage d'eclipse, j'avais mes perspectives pour java et XText.

    Bref dans tous les cas, j'ai supprimé cette version d'eclipse pour installer 3 versions de Juno (une pour CDT, une pour JDT et une pour XText). Bizarre de faire cela alors que normalement, les plugins sont faits pour tout intégrer dans le même eclipse.

  4. #4
    Rédacteur/Modérateur
    Avatar de Laurent.B
    Homme Profil pro Laurent Barbareau
    Ingénieur développement logiciels
    Inscrit en
    novembre 2004
    Messages
    3 242
    Détails du profil
    Informations personnelles :
    Nom : Homme Laurent Barbareau
    Âge : 41
    Localisation : France, Bouches du Rhône (Provence Alpes Côte d'Azur)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : novembre 2004
    Messages : 3 242
    Points : 14 881
    Points
    14 881

    Par défaut

    Je n'ai pas tout bien saisi mais si tu t'en es sorti c'est le principal...

    Les mélanges de plug-ins sont parfois difficiles car les dépendances entre plug-ins sont complexes.
    Par exemple, ce peut être le cas si 2 plug-ins qui dépendent d'un 3ème, chacun requérant une version différente de celui-ci, mais que le 3ème plug-in lui, n'a pas pas la possibilité de coexister sur la même plate-forme dans différentes versions (à cause d'une contrainte forte)... Je ne dis pas que c'est la raison de ton problème mais bon voilà, la gestion des dépendances n'est pas toujours possible. Des bugs peuvent également être à l'origine de ces dysfonctionnements...

    Quoi qu'il en soit, le fait de dédier une instance d'Eclipse à une technologie ou un domaine est plus le résultat d'une constatation, qu'une recommandation officielle. Si on ne veut pas perdre trop temps sur ce genre de problème, personnellement c'est ce que je recommande.
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Pensez à cliquer sur le bouton une fois votre problème solutionné, merci.

  5. #5
    Membre régulier
    Inscrit en
    juin 2008
    Messages
    128
    Détails du profil
    Informations forums :
    Inscription : juin 2008
    Messages : 128
    Points : 70
    Points
    70

    Par défaut

    Merci beaucoup de tes réponses.

+ Répondre à la discussion
Cette discussion est résolue.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •